clearTopoGeom
Prev | 10.10. TopoGeometry Editors | Next

## Name

clearTopoGeom — Clears the content of a topo geometry.

## Synopsis

`topogeometry clearTopoGeom(`topogeometry topogeom`)`;

## Description

Clears the content a TopoGeometry turning it into an empty one. Mostly useful in conjunction with toTopoGeom to replace the shape of existing objects and any dependent object in higher hierarchical levels.

Availability: 2.1

## Examples

    -- Shrink all TopoGeometry polygons by 10 meters
    UPDATE nei_topo SET topo = ST_Buffer(clearTopoGeom(topo), -10);

## See Also

toTopoGeom

Prev | Up | Next
TopoElementArray_Agg | Home | TopoGeom_addElement